tigase.jaxmpp.core.client.xmpp.modules.roster

## Enum RosterModule.Action

- java.lang.Object
- - java.lang.Enum<RosterModule.Action>
  - - tigase.jaxmpp.core.client.xmpp.modules.roster.RosterModule.Action

- All Implemented Interfaces:
    Serializable, Comparable<RosterModule.Action>
  Enclosing class:
    RosterModule

      public static enum RosterModule.Action
      extends Enum<RosterModule.Action>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `askCancelled`
    `subscribed`
    `unsubscribed`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RosterModule.Action` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RosterModule.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### askCancelled

          public static final RosterModule.Action askCancelled

    - #### subscribed

          public static final RosterModule.Action subscribed

    - #### unsubscribed

          public static final RosterModule.Action unsubscribed

  - ### Method Detail

    - #### values

          public static RosterModule.Action[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RosterModule.Action c : RosterModule.Action.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RosterModule.Action valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Tigase. All rights reserved.